Get Users for Notification Right
get
/ec-auth-svc/rest/v1.0/notifications/{rightname}/users
Returns all users subscribed to the notification right specified by 'rightname' for the active study and mode.
Request
Path Parameters
-
rightname(required): string
The technical name of the notification right.Example:
SchedulerDelete
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation. Returns a set of users associated with the notification right.
Root Schema : AuthResponse
Type:
objectGeneric API response wrapper containing result, error data, response version and status.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result data of the API response; actual type depends on the API
-
status: string
(none)
Indicates request success ("success") or failure ("failure").Example:
success -
version: integer
(int32)
Version of the response schema.Example:
1
Nested Schema : result
Type:
objectResult data of the API response; actual type depends on the API
Example:
oracle.doceng.json.BetterJsonNull@1466a41fNested Schema : details
Type:
object404 Response
Rightname not found. No users are associated with the provided notification right.
Root Schema : AuthResponse
Type:
objectGeneric API response wrapper containing result, error data, response version and status.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result data of the API response; actual type depends on the API
-
status: string
(none)
Indicates request success ("success") or failure ("failure").Example:
success -
version: integer
(int32)
Version of the response schema.Example:
1
Nested Schema : result
Type:
objectResult data of the API response; actual type depends on the API
Example:
oracle.doceng.json.BetterJsonNull@1466a41fNested Schema : details
Type:
object